# dkim_get_signer()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    const unsigned char *dkim_get_signer(
    	DKIM *dkim);
    );
Returns the current signer (i.e. value to be used in the "i=" tag) for a signing handle.
DESCRIPTION |
Called When | `dkim_get_signer()` can be called at any time prior to signature generation.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Message-specific signing handle, returned by `dkim_sign()`.
RETURN VALUES | NULL -- no signer has been requested, meaning no "i=" tag will be included in the generated signature otherwise -- a pointer to a terminated string containing the signer address previously requested
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2010, 2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.